I am trying to use the following code to get and set the material property values (I haven't gotten to the set part yet.) anyway GetMaterialPropertyValues2 returns an (8,1) array of doubles but they are all -1 instead of the settings of the feature in question. I have tried a few different scenerios but nothing is looking quit right. I also checked the example in the help file and couldn't see any significant difference. Dim swApp As Object Dim Part As SldWorks.ModelDoc2 Dim boolstatus As Boolean Dim longstatus As Long, longwarnings As Long Dim FeatureData As Object Dim Feature As Feature Dim Component As Component2 Dim V As Variant Dim Configs As Variant Dim SelMan As SldWorks.SelectionMgr Dim CompDoc As SldWorks.PartDoc Sub main() Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc Set SelMan = Part.SelectionManager Part.ClearSelection2 True boolstatus = Part.Extension.SelectByID("Base-Revolve-Thin@140004-1@400988", "BODYFEATURE", 0, 0, 0, False, 0, Nothing) Set Feature = SelMan.GetSelectedObject5(1) Set Component = SelMan.GetSelectedObjectsComponent2(1) Set CompDoc = Component.GetModelDoc Configs = Part.GetConfigurationNames V = Feature.GetMaterialPropertyValues2(swSpecifyConfiguration, (Configs)) Debug.Print V(1) Debug.Print V(2) Debug.Print V(3) Debug.Print V(4) Debug.Print V(5) Debug.Print V(6) Debug.Print V(7) Debug.Print V(8) Debug.Print Feature.Name Debug.Print "......................." End Any help would be appreciated Corey Scheich